API ReferenceBilling
List this project's invoices with amounts, status and links to the invoice PDFs
List this project's invoices with amounts, status and links to the invoice PDFs.
Requires the billing:read scope — See your plan, usage, invoices and spending limits.
better-auth.session_token<token>
BetterAuth session cookie. Used by the dashboard / browser clients. When present, the active project is taken from the x-project-id header.
In: cookie
Path Parameters
id*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/users/me/projects/string/billing-invoices"{
"invoices": [
{
"id": "string",
"number": "string",
"status": "string",
"amountDue": 0,
"amountPaid": 0,
"currency": "string",
"created": "string",
"periodStart": "string",
"periodEnd": "string",
"hostedInvoiceUrl": "string",
"invoicePdf": "string",
"subtotal": 0,
"total": 0,
"paid": true
}
],
"hasUnpaidInvoices": true,
"unpaidInvoices": [
{
"id": "string",
"number": "string",
"amountDue": 0,
"currency": "string",
"dueDate": "string",
"hostedInvoiceUrl": "string"
}
]
}{
"success": false,
"error": {
"message": "string",
"code": "string",
"details": {
"errors": [
null
]
}
}
}{
"success": false,
"error": {
"message": "string",
"code": "string",
"details": {
"errors": [
null
]
}
}
}{
"success": false,
"error": {
"message": "string",
"code": "string",
"details": {
"errors": [
null
]
}
}
}{
"success": false,
"error": {
"message": "string",
"code": "string",
"details": {
"errors": [
null
]
}
}
}{
"success": false,
"error": {
"message": "string",
"code": "string",
"details": {
"errors": [
null
]
}
}
}{
"success": false,
"error": {
"message": "string",
"code": "string",
"details": {
"errors": [
null
]
}
}
}